#### Description:

This function creates a new SpecFluxFrame and optionally initialises its attributes.

A SpecFluxFrame combines a SpecFrame and a FluxFrame into a single 2-dimensional compound Frame. Such a Frame can for instance be used to describe a Plot of a spectrum in which the first axis represents spectral position and the second axis represents flux.

#### Synopsis

AstSpecFluxFrame ∗astSpecFluxFrame( AstSpecFrame ∗frame1, AstFluxFrame ∗frame2, const char ∗options, ... )

#### Parameters:

##### frame1

Pointer to the SpecFrame. This will form the first axis in the new SpecFluxFrame.

##### frame2

Pointer to the FluxFrame. This will form the second axis in the new SpecFluxFrame. The `"` SpecVal`"` attribute of this FluxFrame is not used by the SpecFluxFrame class and so may be set to AST__BAD when the FluxFrame is created.

##### options

Pointer to a null-terminated string containing an optional comma-separated list of attribute assignments to be used for initialising the new SpecFluxFrame. The syntax used is identical to that for the astSet function and may include `"` printf`"` format specifiers identified by `"` %`"` symbols in the normal way.

##### ...

If the `"` options`"` string contains `"` %`"` format specifiers, then an optional list of additional arguments may follow it in order to supply values to be substituted for these specifiers. The rules for supplying these are identical to those for the astSet function (and for the C `"` printf`"` function).

#### Returned Value

##### astSpecFluxFrame()

A pointer to the new SpecFluxFrame.

#### Notes:

- The supplied Frame pointers are stored directly, rather than being used to create deep copies of the supplied Frames. This means that any subsequent changes made to the Frames via the supplied pointers will result in equivalent changes being visible in the SpecFluxFrame.

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

#### Status Handling

The protected interface to this function includes an extra parameter at the end of the parameter list descirbed above. This parameter is a pointer to the integer inherited status variable: `"` int ∗status`"` .
Copyright (C) 2021 East Asian Observatory